%define upstream_name    Dist-Zilla-Plugin-CheckChangeLog
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Dist::Zilla with Changes check
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 6.5.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::Coverage)
BuildRequires: perl(Pod::Coverage::TrustPod)
BuildRequires: perl(Pod::Markdown)
BuildRequires: perl(Test::Exception) >= 0.430.0
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildArch:  noarch

%description
The code is mostly a copy-paste of the ShipIt::Step::CheckChangeLog manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.50.0-4.mga9
+ Revision: 1808879
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-3.mga8
+ Revision: 1503955
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.50.0-2.mga7
+ Revision: 1282994
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 0.50.0-1.mga7
+ Revision: 1168365
- update to 0.05

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-4.mga6
+ Revision: 1026126
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.20.0-3.mga6
+ Revision: 970329
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 0.20.0-2.mga6
+ Revision: 885921
- Fix BRs

* Tue Jun 23 2015 sander85 <sander85> 0.20.0-1.mga6
+ Revision: 840045
- update to 0.02

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-6.mga5
+ Revision: 748821
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-5.mga5
+ Revision: 684407
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-4.mga4
+ Revision: 511001
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-3.mga3
+ Revision: 366083
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.10.0-2.mga1
+ Revision: 40372
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-CheckChangeLog

